### Constructor

# Gsk FillNodenew

since: 4.14

#### Declaration [src]

    GskRenderNode*
    gsk_fill_node_new (
      GskRenderNode* child,
      GskPath* path,
      GskFillRule fill_rule
    )

#### Description [src]

Creates a `GskRenderNode` that will fill the `child` in the area given by `path` and `fill_rule`.

Available since: 4.14

#### Parameters

`child`

  Type: `GskRenderNode`

  The node to fill the area with.

  The data is owned by the caller of the function.

`path`

  Type: `GskPath`

  The path describing the area to fill.

  The data is owned by the caller of the function.

`fill_rule`

  Type: `GskFillRule`

  The fill rule to use.

#### Return value

Type: `GskFillNode`

A new `GskRenderNode`

The data is owned by the called function.